Bug 172151 - Review Request: kxdocker-resources: Plugins, Sounds, and Themes for kxdocker
Review Request: kxdocker-resources: Plugins, Sounds, and Themes for kxdocker
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://www.xiaprojects.com/www/prodot...
:
Depends On: 172150
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-31 16:22 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-01 12:36:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-10-31 16:22:36 EST
Spec Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kxdocker-resources-0.14-1.spec
SRPM Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kxdocker-resources-0.14-1.src.rpm
Description: 
Plugins, Sounds, and Themes for kxdocker
Comment 1 Aurelien Bompard 2005-11-01 04:25:45 EST
* please remove the following files or dirs:
  /usr/share/apps/kxdocker/themes/bar/transparent-pink/.xvpics
  /usr/share/apps/kxdocker/themes/pillow/label_h2o_blue_left/.DS_Store
* The following file is set 0744 :
  /usr/share/apps/kxdocker/themes/pillow/label_h2o_blue_left/background-center.png
* "make" is useless
* Only kdelibs is required as a build dependency, because configure needs
kde-config.
  However, I would put kdelibs-devel as BR. Shouldn't kde-config be in kdelibs-devel
  anyway ?
Comment 2 Rex Dieter 2005-11-01 09:05:42 EST
%changelog
* Tue Nov 01 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.14-2
- remove useless dirs
- fixup permissions on installed theme/resources
- %%build: drop useless make

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kxdocker-resources-0.14-2.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kxdocker-resources-0.14-2.src.rpm

IMO, it's fine that kde-config is in kdelibs and not kdelibs-devel.  It's
something useful at runtime.
Comment 3 Aurelien Bompard 2005-11-01 09:54:43 EST
* themes/pillow/label_h2o_blue_left/.DS_Store is still there 
* themes/pillow/label_h2o_blue_left/background-center.png is still set 0744
* While you're at it, you can delete
"themes/pillow/label_h2o_blue_left/backgrond-right copia.png" which looks like a
copy. Please report it upstream (where it should be fixed)
Comment 4 Rex Dieter 2005-11-01 11:43:13 EST
%changelog
* Tue Nov 01 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.14-3
- prune more junk
- *really* fix permissions

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kxdocker-resources-0.14-3.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kxdocker-resources-0.14-3.src.rpm
Comment 5 Aurelien Bompard 2005-11-01 12:19:35 EST
Review for release 3:
* RPM name is OK
* Source kxdocker-resources-0.14.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint of kxdocker-resources looks OK
* File list of kxdocker-resources looks OK
* Works fine
APPROVED

Note You need to log in before you can comment on or make changes to this bug.